.\" Man page generated from reStructuredText.
.
.TH "IMTEST" "1" "August 10, 2018" "3.0.8" "Cyrus IMAP"
.SH NAME
imtest \- Cyrus IMAP documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.sp
Interactive IMAP test program
.SH SYNOPSIS
.sp
.nf
\fBimtest\fP [ \fB\-t\fP \fIkeyfile\fP ] [ \fB\-p\fP \fIport\fP ] [ \fB\-m\fP \fImechanism\fP ]
    [ \fB\-a\fP \fIuserid\fP ] [ \fB\-u\fP \fIuserid\fP ] [ \fB\-k\fP \fInum\fP ] [ \fB\-l\fP \fInum\fP ]
    [ \fB\-r\fP \fIrealm\fP ] [ \fB\-f\fP \fIfile\fP ] [ \fB\-n\fP \fInum\fP ] [ \fB\-s\fP ] [ \fB\-q\fP ]
    [ \fB\-c\fP ] [ \fB\-i\fP ] [ \fB\-z\fP ] [ \fB\-v\fP ] [ \fB\-I\fP \fIfile\fP ] [ \fB\-x\fP \fIfile\fP ]
    [ \fB\-X\fP \fIfile\fP ] [ \fB\-w\fP \fIpasswd\fP ] [ \fB\-o\fP \fIoption\fP=\fIvalue\fP ] \fIhostname\fP
.fi
.SH DESCRIPTION
.sp
\fBimtest\fP is a utility that allows you to authenticate to a IMAP or
IMSP server and interactively issue commands to it. Once authenticated
you may issue any IMAP or IMSP command by simply typing it in. It is
capable of multiple SASL authentication mechanisms and handles
encryption layers transparently. This utility is often used for testing
the operation of a imsp or imap server. Also those developing IMAP
clients find it useful.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-t  keyfile
Enable TLS.  \fIkeyfile\fP contains the TLS public and private keys.
Specify \fB""\fP to negotiate a TLS encryption layer but not use TLS
authentication.
.UNINDENT
.INDENT 0.0
.TP
.B \-p  port
Port to connect to. If left off this defaults to \fBimap\fP as defined
in \fB/etc/services\fP\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-m  mechanism
Force \fBimtest\fP to use \fImechanism\fP for authentication. If not
specified the strongest authentication mechanism supported by the
server is chosen.  Specify \fIlogin\fP to use the LOGIN command instead
of AUTHENTICATE.
.UNINDENT
.INDENT 0.0
.TP
.B \-a  userid
Userid to use for authentication; defaults to the current user.
This is the userid whose password or credentials will be presented to
the server for verification.
.UNINDENT
.INDENT 0.0
.TP
.B \-u  userid
Userid to use for authorization; defaults to the current user.
This is the userid whose identity will be assumed after
authentication.
.sp
\fBNOTE:\fP
.INDENT 7.0
.INDENT 3.5
This is only used with SASL mechanisms that allow proxying
(e.g. PLAIN, DIGEST\-MD5).
.UNINDENT
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-k  num
Minimum protection layer required.
.UNINDENT
.INDENT 0.0
.TP
.B \-l  num
Maximum protection layer to use (\fB0\fP=none; \fB1\fP=integrity;
etc).  For example if you are using the KERBEROS_V4 authentication
mechanism specifying \fB0\fP will force imtest to not use any layer
and specifying \fB1\fP will force it to use the integrity layer.  By
default the maximum supported protection layer will be used.
.UNINDENT
.INDENT 0.0
.TP
.B \-r  realm
Specify the \fIrealm\fP to use. Certain authentication mechanisms
(e.g. DIGEST\-MD5) may require one to specify the realm.
.UNINDENT
.INDENT 0.0
.TP
.B \-f  file
Pipe \fIfile\fP into connection after authentication.
.UNINDENT
.INDENT 0.0
.TP
.B \-n  num
Number of authentication attempts; default = 1.  The client will
attempt to do SSL/TLS session reuse and/or fast reauth
(e.g. DIGEST\-MD5), if possible.
.UNINDENT
.INDENT 0.0
.TP
.B \-s
Enable IMAP over SSL (imaps).
.UNINDENT
.INDENT 0.0
.TP
.B \-q
Enable IMAP COMPRESSion (after authentication).
.UNINDENT
.INDENT 0.0
.TP
.B \-c
Enable challenge prompt callbacks.  This will cause the OTP mechanism
to ask for the the one\-time password instead of the secret pass\-phrase
(library generates the correct response).
.UNINDENT
.INDENT 0.0
.TP
.B \-i
Don\(aqt send an initial client response for SASL mechanisms, even if
the protocol supports it.
.UNINDENT
.INDENT 0.0
.TP
.B \-I  file
Echo the PID of the running process into \fIfile\fP (This can be useful
with \-X).
.UNINDENT
.INDENT 0.0
.TP
.B \-v
Verbose. Print out more information than usual.
.UNINDENT
.INDENT 0.0
.TP
.B \-z
Timing test.
.UNINDENT
.INDENT 0.0
.TP
.B \-x  file
Open the named socket for the interactive portion.
.UNINDENT
.INDENT 0.0
.TP
.B \-X  file
Like \-x, only close all file descriptors & daemonize the process.
.UNINDENT
.INDENT 0.0
.TP
.B \-w passwd
Password to use (if not supplied, we will prompt).
.UNINDENT
.INDENT 0.0
.TP
.B \-o  option=value
Set the SASL \fIoption\fP to \fIvalue\fP\&.
.UNINDENT
.SH EXAMPLES
.SH SEE ALSO
.sp
imapd(8)
.SH AUTHOR
The Cyrus Team, Nic Bernstein (Onlight)
.SH COPYRIGHT
1993-2017, The Cyrus Team
.\" Generated by docutils manpage writer.
.
